<?php
/* Photopress album template */
/* Designed to work with the Wordpress default theme. If it doesn't work */
/* with your theme, try modifying it to look like your theme's index.php */
/* (replace the Loop with the style and <?php pp_album(); ?>             */
/* Change the default style below to fit your theme. The pp_wrap id can  */
/* be used to customize the headings and whatnot, with something like:   */
/* #pp_wrap h2 { font-family: Arial; }                                   */
?>

<?php get_header(); ?>

<div id="content" class="narrowcolumn">

<style type="text/css" media="screen">
#pp_gallery {
	width: 100%;
	margin-top: 10px;
	margin-left: auto;
	margin-right: auto;
	clear: both;
}
#pp_meta {
	text-align: center;
	padding: 10px;
}
.pp_centered {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
.pp_cell {
        width: <?php echo round((100 / (get_option('pp_album_columns')-1))); ?>;
	text-align: center;
	vertical-align: top;
	padding: 5px;
}
.pp_prev, .pp_next {
	margin: 10px;
	display: block;
	padding: 5px;
}
a.pp_prev, a.pp_next {
	background: #acf;
	color: #000;
	text-decoration: none;
	font-weight: bold;
}
a.pp_prev:hover, a.pp_next:hover {
	background: #369;
	color: #fff;
	text-decoration: none;
}
.pp_prev {
	float: left;
}
.pp_next {
	float: right;
}
</style>
		<div id="pp_wrap">
		<?php pp_album(); ?>
		</div>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
