<?php

/* Photopress shared include file */

/* set some defaults that are overridden by previously stored stuff */

$pp_options = array();

if (get_option('pp_options')) {
	$pp_options = get_option('pp_options');
}

if (empty($pp_options['pp_failsafe_buttons'])) {
	$pp_options['pp_failsafe_buttons'] = '0';
}
$pp_failsafe_buttons= $pp_options['pp_failsafe_buttons'];

if (empty($pp_options['pp_insert_thumb'])) {
	$pp_options['pp_insert_thumb'] = '1';
}
$pp_insert_thumb = $pp_options['pp_insert_thumb'];

if (empty($pp_options['pp_album'])) {
	$pp_options['pp_album'] = '1';
}
$pp_album = $pp_options['pp_album'];

if (empty($pp_options['pp_meta_link'])) {
	$pp_options['pp_meta_link'] = '1';
}
$pp_meta_link = $pp_options['pp_meta_link'];

if (empty($pp_options['pp_meta_rand'])) {
	$pp_options['pp_meta_rand'] = '1';
}
$pp_meta_rand = $pp_options['pp_meta_rand'];

if (empty($pp_options['pp_album_columns'])) {
	$pp_options['pp_album_columns'] = '2';
}
$pp_album_columns = $pp_options['pp_album_columns'];

if (empty($pp_options['pp_photofolder'])) {
	$pp_options['pp_photofolder'] = 'photos';
}
$pp_photofolder = $pp_options['pp_photofolder'];

if (empty($pp_options['pp_thumbprefix'])) {
	$pp_options['pp_thumbprefix'] = 'thumb_';
}
$pp_thumbprefix = $pp_options['pp_thumbprefix'];

if (empty($pp_options['pp_thumbsize'])) {
	$pp_options['pp_thumbsize'] = '130';
}
$pp_thumbsize = $pp_options['pp_thumbsize'];

if (empty($pp_options['pp_maxsize'])) {
	$pp_options['pp_maxsize'] = '450';
}
$pp_maxsize = $pp_options['pp_maxsize'];

if (empty($pp_options['pp_maxk'])) {
	$pp_options['pp_maxk'] = '512';
}
$pp_maxk = $pp_options['pp_maxk'];

if (empty($pp_options['pp_allowedtypes'])) {
	$pp_options['pp_allowedtypes'] = 'jpg gif png';
}
$pp_allowedtypes = $pp_options['pp_allowedtypes'];

if (empty($pp_options['pp_quality'])) {
	$pp_options['pp_quality'] = '80';
}
$pp_quality = $pp_options['pp_quality'];

if (empty($pp_options['pp_min_level'])) {
	$pp_options['pp_min_level'] = '2';
}
$pp_min_level = $pp_options['pp_min_level'];

if (empty($pp_options['pp_align'])) {
	$pp_options['pp_align'] = 'centered';
}
$pp_align = $pp_options['pp_align'];

if (empty($pp_options['pp_albumname'])) {
	$pp_options['pp_albumname'] = '?pp_album=1';
}
$pp_albumname = $pp_options['pp_albumname'];

if (empty($pp_options['pp_albumpostfix'])) {
	$pp_options['pp_albumpostfix'] = '&pp_image=';
}
$pp_albumpostfix = $pp_options['pp_albumpostfix'];

if (empty($pp_options['pp_catpostfix'])) {
	$pp_options['pp_catpostfix'] = '&pp_cat=';
}
$pp_catpostfix = $pp_options['pp_catpostfix'];

$pp_home_path = get_settings('home');
if ( $pp_home_path != '' && $pp_home_path != get_settings('siteurl') ) {
	$pp_blogurl = get_settings('home');
	$pp_siteurl = get_settings('siteurl');
        $home_path = parse_url($pp_home_path);
	$home_path = $home_path['path'];
	$root = str_replace($_SERVER["PHP_SELF"], '', $_SERVER["SCRIPT_FILENAME"]);
	$home_path = trailingslashit($root . $home_path);
} else {
	$pp_siteurl = get_settings('siteurl');
	$pp_blogurl = get_settings('siteurl');
	$home_path = ABSPATH;
	$home_path = trailingslashit($root . $home_path);
}

if ($pp_album == 1) {
	$pp_imagelink = $pp_siteurl . '/' . $pp_albumname . $pp_albumpostfix ; // point to the optional album
	$pp_target = '_top';
} else {
	$pp_imagelink = $pp_blogurl . '/wp-content/' . $pp_photofolder . '/';
	$pp_target = '_blank'; // opens linked images in a new window
}

$pp_albumaddress = $pp_siteurl . '/' . $pp_albumname;
$pp_photosaddress = $pp_blogurl . '/wp-content/' . $pp_photofolder;
$pp_photospath = $home_path . 'wp-content/' . $pp_photofolder;

?>
